Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_ClientProtocolPolicy Class Reference

RTCORBA::ClientProtocolPolicy implementation. More...

`#include <RT_Policy_i.h>`

Inheritance diagram for TAO_ClientProtocolPolicy:

[legend]
Collaboration diagram for TAO_ClientProtocolPolicy:

[legend]
List of all members.

## Public Methods
| TAO_ClientProtocolPolicy (const RTCORBA::ProtocolList &protocols)
| Constructor.
| TAO_ClientProtocolPolicy (const TAO_ClientProtocolPolicy &rhs)
| Copy constructor.
RTCORBA::ProtocolList & | protocols_rep (void)
RTCORBA::ProtocolList * | protocols (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Boolean | _tao_encode (TAO_OutputCDR &out_cdr)
| This method writes a CDR representation of the current object.
CORBA::Boolean | _tao_decode (TAO_InputCDR &in_cdr)
| This method reads the object state from a CDR representation.
TAO_Cached_Policy_Type | _tao_cached_type (void) const
TAO_Policy_Scope | _tao_scope (void) const
## Static Public Methods
int | hook (TAO_ORB_Core *orb_core, int &send_buffer_size, int &recv_buffer_size, int &no_delay, int &enable_network_priority, const char *protocol_type)
CORBA::Policy_ptr | create (const CORBA::Any &val ACE_ENV_ARG_DECL)
## Protected Methods
virtual | ~TAO_ClientProtocolPolicy (void)
| TAO_ClientProtocolPolicy (void)
## Private Attributes
RTCORBA::ProtocolList | protocols_
| Attribute.
## Friends
class | TAO_RT_PolicyFactory

## Detailed Description

RTCORBA::ClientProtocolPolicy implementation.

This policy controls selection and configuration of communication protocols on the client-side of the RT ORB.

## Constructor & Destructor Documentation

TAO_ClientProtocolPolicy::TAO_ClientProtocolPolicy | ( | const RTCORBA::ProtocolList & | protocols | ) |

| Constructor.

TAO_ClientProtocolPolicy::TAO_ClientProtocolPolicy | ( | const TAO_ClientProtocolPolicy & | rhs | ) |

| Copy constructor.

TAO_ClientProtocolPolicy::~TAO_ClientProtocolPolicy | ( | void |  | ) | `[protected, virtual]`

| Protected destructor to enforce proper memory management of this reference counted object.

TAO_ClientProtocolPolicy::TAO_ClientProtocolPolicy | ( | void |  | ) | `[protected]`

## Member Function Documentation

TAO_Cached_Policy_Type TAO_ClientProtocolPolicy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

CORBA::Boolean TAO_ClientProtocolPolicy::_tao_decode | ( | TAO_InputCDR & | in_cdr | ) | `[virtual]`

| This method reads the object state from a CDR representation. Reimplemented from CORBA::Policy.

CORBA::Boolean TAO_ClientProtocolPolicy::_tao_encode | ( | TAO_OutputCDR & | out_cdr | ) | `[virtual]`

| This method writes a CDR representation of the current object. Reimplemented from CORBA::Policy.

TAO_Policy_Scope TAO_ClientProtocolPolicy::_tao_scope | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

CORBA::Policy_ptr TAO_ClientProtocolPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

| Reimplemented from CORBA::Policy.

CORBA::Policy_ptr TAO_ClientProtocolPolicy::create | ( | const CORBA::Any &val | ACE_ENV_ARG_DECL | ) | `[static]`

| Helper method for the implementation of CORBA::ORB::create_policy.

void TAO_ClientProtocolPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

int TAO_ClientProtocolPolicy::hook | ( | TAO_ORB_Core * | orb_core,
|  | int & | send_buffer_size,
|  | int & | recv_buffer_size,
|  | int & | no_delay,
|  | int & | enable_network_priority,
|  | const char * | protocol_type
| ) | `[static]`

CORBA::PolicyType TAO_ClientProtocolPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

RTCORBA::ProtocolList * TAO_ClientProtocolPolicy::protocols | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Implements RTCORBA::ClientProtocolPolicy.

RTCORBA::ProtocolList & TAO_ClientProtocolPolicy::protocols_rep | ( | void |  | ) |

| Accessor to the underlying protocols list of the policy (does not make a copy like the idl accessor <protocols> implementation below.)

## Friends And Related Function Documentation

friend class TAO_RT_PolicyFactory`[friend]`

| This constructor is used by TAO_RT_PolicyFactory when decoding policies from tagged components in an IOR.

## Member Data Documentation

RTCORBA::ProtocolList TAO_ClientProtocolPolicy::protocols_`[private]`

| Attribute.

The documentation for this class was generated from the following files:

- RT_Policy_i.h
- RT_Policy_i.cpp